### Function

# PangoXft render_layout_line

since: 1.8

#### Declaration [src]

    void
    pango_xft_render_layout_line (
      XftDraw* draw,
      XftColor* color,
      PangoLayoutLine* line,
      int x,
      int y
    )

#### Description [src]

Render a `PangoLayoutLine` onto a XftDraw.

Available since: 1.8

#### Parameters

`draw`

  Type: `XftDraw`

  An XftDraw.

  The data is owned by the caller of the function.

`color`

  Type: `XftColor`

  The foreground color in which to draw the layout line (may be overridden by color attributes)

  The data is owned by the caller of the function.

`line`

  Type: `PangoLayoutLine`

  A `PangoLayoutLine`

  The data is owned by the caller of the function.

`x`

  Type: `int`

  The x position of start of string (in Pango units)

`y`

  Type: `int`

  The y position of baseline (in Pango units)